Bug 150219 - EDITING: Crash when cutting trace dependent with precedent on different sheet
Summary: EDITING: Crash when cutting trace dependent with precedent on different sheet
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
7.3.5.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard: target:7.5.0 target:7.3.6 target:7.4.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Crash
  Show dependency treegraph
 
Reported: 2022-08-01 11:07 UTC by lobgz220801
Modified: 2022-08-11 11:05 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By: Noel Grandin


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description lobgz220801 2022-08-01 11:07:42 UTC
Description:
Calc crashes whenever you try to cut to clipboard a cell that has tracing enabled which refers to a precedent on a different sheet.

WORKAROUND: remove all traces that reference other sheets before attempting to cut and paste a cell or selection that includes such a cell.

Steps to Reproduce:
1.start calc with an emply sheet (Sheet1)
2.add another sheet to the right of it (Sheet2)
3.select cell A1 on Sheet2
4.enter "=$Sheet1.A1" into Input line (without the double quotes), press Return
5.select menu Tools->Detective->Trace Precedents
6.select cell A1 on Sheet 2 again
7.Press Ctrl-x



Actual Results:
As soon as you press Ctrl-x, calc crashes.

Expected Results:
Ideally, traces should be cut/copied with the cell to be able to paste it into another cell and restore the traces, as already happens if all references are on the same sheet.


Reproducible: Always


User Profile Reset: Yes



Additional Info:
Version: 7.3.5.2 / LibreOffice Community
Build ID: 184fe81b8c8c30d8b5082578aee2fed2ea847c01
CPU threads: 8; OS: Linux 5.3; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Flatpak
Calc: threaded

Version 7.2.5.1 from openSUSE repo is also affected
Comment 1 raal 2022-08-01 21:50:42 UTC
Confirm with Version: 7.5.0.0.alpha0+ / LibreOffice Community
Build ID: 3ccbfaaf95005a34ca64ad250463ef5ce8842f43
CPU threads: 4; OS: Linux 5.15; UI render: default; VCL: gtk3
Locale: cs-CZ (cs_CZ.UTF-8); UI: en-US
Calc: threaded

No crash in Version 4.1.0.0.alpha0+ (Build ID: efca6f15609322f62a35619619a6d5fe5c9bd5a)
Comment 2 raal 2022-08-01 22:00:51 UTC
This seems to have begun at the below commit.
Adding Cc: to Noel Grandin; Could you possibly take a look at this one?
Thanks
 236af10b0bba5892fc76ba03683143b004abb381 is the first bad commit
commit 236af10b0bba5892fc76ba03683143b004abb381
Author: Jenkins Build User <tdf@pollux.tdf>
Date:   Fri Jan 17 07:10:48 2020 +0100

    source sha:3596c9891e16e1222208b18bdcdc9909c2f02d0f

https://git.libreoffice.org/core/+/3596c9891e16e1222208b18bdcdc9909c2f02d0f
Comment 3 Commit Notification 2022-08-05 07:21:41 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/f705132f20eb9e0cbe57f11f1f9594a287a63900

tdf#150219 Crash when cutting trace dependent with precedent on different sheet

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2022-08-08 12:26:20 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/53ea173f3b00c2a8a58c3a6baa8c5856246fdcc1

tdf#150219 Crash when cutting trace dependent with precedent on different sheet

It will be available in 7.3.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2022-08-10 07:07:42 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-7-4":

https://git.libreoffice.org/core/commit/81c8e3a92ba1da28f3c03ff5bcb873d63a1b857f

tdf#150219 Crash when cutting trace dependent with precedent on different sheet

It will be available in 7.4.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2022-08-11 11:05:12 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/2b2e8471727f0825bb18df58be86a9252de4432e

tdf#150219: sc_uicalc: Add unittest

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.